Python 3 is the latest major version of Python, a scripting language used by many open source developers.

learn more… | top users | synonyms

88
votes
8answers
256k views

How do I install Python 3.3?

I have downloaded Python 3.3 from the official site but no idea how to install it. I'm using Ubuntu 12.04
60
votes
7answers
82k views

Make default `python` command to use Python 3

I can access Python 3 via python3 command. But I want to make the default interpreter to use python command for Python 3. Simple typing python takes me to Python 2. How to upgrade?
53
votes
8answers
280k views

How to install Python 3.4 on Ubuntu?

If I open Terminal and type in python, I see the version is 2.7.4. How do I get python 3.4? And do I need IDLE if I have sublime text?
41
votes
5answers
83k views

How to install pip for python 3 in ubuntu 12.04 LTS

I am trying to install the Pillow module for python 3.3, but for that I need to install pip. Every time that I install pip it installs for python 2.7, any help?
38
votes
3answers
17k views

pyvenv-3.4 error: returned non-zero exit status 1

When trying to create a virtual environment using the included pyvenv-3.4 that comes with 14.04, it throws an error: Error: Command '['/some/directories/bin/python3.4', '-Im', 'ensurepip', ...
35
votes
2answers
34k views

'unsupported locale setting' fault by command-not-found

I recently installed Ubuntu 12.10 by keeping the home folders from Linux Mint 13 distribution. The system installed fine, but at the beginning everything was in Chinese (even the text in the ...
31
votes
6answers
83k views

How to create a virtualenv with Python3.3 in Ubuntu?

I'm running Precise Pangolin amd64. I installed Python 3.3 from ppa:fkrull/deadsnakes. Now I want to actually use this new Python version in a virtualenv. But How can I do this? I get the following ...
20
votes
3answers
23k views

How can I install Django for Python 3.x?

I installed Django with this command: sudo apt-get install python-django And it installed version 1.5.4-1ubuntu1. The Django docs say that as of version 1.5, Django supports Python 3. Yet when I ...
13
votes
2answers
99k views

How to find python installation directory on ubuntu

I have just migrated from Windows environment. I have installed Python 3.2 in a separate directory. How can I get the python installation path on ubuntu shell ? Is there any way I can let shell ...
11
votes
7answers
1k views

Should I change my Python code if I upgrade my Ubuntu?

I have a software that I have been developing in Python 3 for years. Until today, I have been using Ubuntu Desktop 11.04 but now I want to move to a higher version of Ubuntu. Must I stay on Ubuntu ...
9
votes
1answer
1k views

What is python3mu?

I'm setting up PyDev for Eclipse, and I have to choose a version of Python for the interpretor. I want to use Python3, and I've been using python3 as my interpretor, so I thought /usr/bin/python3 ...
8
votes
1answer
15k views

Install and run Python 3 at the same time than Python 2

Im using 13.04 but I want have installed the both main Python versions for make tests about migration of my actual code. is possible install Python 3 in the same machine running Python 2.7? I need ...
8
votes
1answer
9k views

What's the easiest way to get Vim with Python 3 support?

I have Ubuntu 14.04 installed and Vim in its repos is compiled without Python 3 support. Because of that, python-mode plugin can't work with Python 3 code. What's the easiest way to get Vim with ...
8
votes
2answers
6k views

“libpeas-WARNING **: Could not find loader 'python3' for plugin” when loading a pluging in gedit

I recently upgraded to Ubuntu 13.04 and I use gedit for a lot of things. I was trying to install some plugins that I use quite frequently and I came into some issues. First I installed the plugins ...
8
votes
3answers
7k views

Making python 3.3 default python 3 interpreter instead of 3.2

So, to keep it simple. Ubuntu 12.10 has python 3.2 pre installed and it is linked to "python3". I downloaded python 3.3 and it's command is "python3.3". However, I downloaded pySide for python3 from ...
7
votes
1answer
2k views

pyvenv-3.4 disappeared in Ubuntu 14.04.3?

This is what I was doing to create a venv in Python 3.4 on Ubuntu 14.04.3 LTS until last week: » pyvenv-3.4 --without-pip venv I was doing that because of this. But since yesterday: » pyvenv-3.4 ...
6
votes
3answers
21k views

Installation procedure for numpy and other python-3.4 packages on ubuntu 14.04

I am new to ubuntu and installed ubuntu 14.04 32 bit on my LENOVO hinkpad T410 machine with windows 7 two days ago but since then trying download and install python-3.4 packages (NUMPY, SCIPY) on ...
6
votes
2answers
10k views

Cannot install scikit-learn in Python 3.4 in Ubuntu 14.04

I am trying to get scikit-learn to Python 3.4 in Ubuntu 14.04. When a run the command: sudo pip3 install -U scikit-learn I get scikit-learn loaded into Python 2.7. I have also tried to use: sudo ...
6
votes
1answer
13k views

How to create Excel xlsx files from a script?

I'm looking for packages available in Ubuntu main/universe repositories able to create Excel 2007+ xlsx files from a script (python or perl) My requirements: 100% compatible Excel XLSX files. Solid ...
6
votes
2answers
5k views

pip3 installs failing

I installed pip3 using apt-get install python3-pip however when I try to install any package I'm getting this type of error. xxxxx@xxx:~$ pip3 install requests Traceback (most recent call last): ...
6
votes
1answer
7k views

Install Pillow for Python 3

What's the best way to install Pillow for Python 3?
6
votes
1answer
3k views

AssertionError using Apache2 and libapache2-mod-wsgi-py3 on Ubuntu 14.04 (Python 3.4)

On Ubuntu 14.04, using Apache2 with package libapache2-mod-wsgi-py3 installed gives errors in /var/log/apache2/error.log The way to reproduce is straightforward : sudo apt-get install apache2 sudo ...
6
votes
2answers
7k views

Open terminal window and execute Python script on startup

I have a Python script which I would like to execute at every startup. I can run it by adding this to the startup applications: python3 /path/to/script.py That works, but it doesn't open a terminal ...
6
votes
1answer
1k views

pyvenv still broken on 14.04.1?

meow@te:~# pyvenv-3.4 v Error: Command '['/meow/v/bin/python3.4', '-Im', 'ensurepip', '--upgrade', '--default-pip']' returned non-zero exit status 1 I thought it was fixed. I've done update and ...
5
votes
2answers
5k views

12.10 has Python 3.2.3 default, does this impact existing python tools?

Ubuntu 12.10 has Python 3.2.3 default, so does this impact existing python tools, designed to be used with older python 2.x? There was a discussion in HackerNews on the same. I'm a bit apprehensive ...
5
votes
1answer
8k views

Beautiful Soup 4 not working with Python 3.4.0

I am using Ubuntu 14.04 64 bit Operating System . I installed Beautiful Soup 4 using this command : sudo apt-get install python-bs4 With Python 2.7.6 , I had no difficulty importing the bs4 ...
5
votes
3answers
15k views

How to download pygame in python3.3

I am using Ubuntu 13.10.I have both python 2.7 and python 3.3.I have installed pygame properly in python 2.7.How can i install it in python3.3.Does pygame support python3.3 or not?
5
votes
2answers
3k views

Changing Python default in 12.04 LTS

I have downloaded and installed python 3.2.3 for Ubuntu/Debian. Also IDLE IDE for 3.2.3. If I execute IDLE for 3.2.3 explicitely, 3.2.3 runs under IDLE and all is well. But if I go to a terminal ...
5
votes
2answers
1k views

Take screenshots at random intervals with Python?

I am working on a project to take screenshots of desktop and upload images to a server I want to develop a python app, when user starts that app it will start taking screenshots in random interval ...
5
votes
1answer
12k views

How to Install Python 3.X.X. Properly

I have installed and configured python from online tutorials, python books, and other various sources in the past only to find myself digging through forums when things go wrong and piecing various ...
5
votes
1answer
2k views

Python Global Hotkey

I'm looking to create a global hotkey in Python 3.2 for Ubuntu 12.10. That is, my script will run in the background and whenever I press Shift+F4 (for example), no matter what the active window is, ...
4
votes
1answer
4k views

How to install sympy for Python 3.4

I installed the Python scipy stack using the following command taken from here sudo apt-get install python-numpy python-scipy python-matplotlib ipython ipython-notebook python-pandas python-sympy ...
4
votes
1answer
9k views

How to install scipy with pip3?

I am trying to install scipy for python3.x and I am trying to install it with pip3 sudo pip3 install scipy But I have the following errors: Downloading/unpacking scipy Running setup.py ...
4
votes
2answers
1k views

How to create a deb package for a python3 script?

I have one Python file, main.py. I would like to be able to make a .deb package from it, and then be able to run main.py by typing the package name from the terminal. It is written in Python 3, so the ...
4
votes
1answer
87 views

How can I use DBus to create a client and server without dbus configuration files on recent releases of Ubuntu?

I want to use a bridge between a flask webapp and python subprocesses under python3. I couldn't find a copy paste-able example of a service instantiated without config files for the same. The ...
4
votes
1answer
6k views

How to install PyQt for python3 in ubunt 14.10?

I found some tutorials online for earlier versions of Ubuntu but they didn't seem to work on Ubuntu 14.10, either that or I was doing it the wrong way, I want to use QtDesigner to design a GUI, use ...
4
votes
1answer
7k views

Trying to create a python virtual environment but getting OSError

I have installed python3.3, pip-1.5, ditribute-0.7.3, virtualenv-1.11. I am giving the below command to create virtual environment virtualenv --no-site-packages test I am getting the following ...
4
votes
2answers
1k views

Installing Bluez in Python3

How do I install bluetooth/bluez modules into python3? In Python2 I'm able to import bluetooth and utilize it but in Python3 I have no such luck. How can I import bluetooth modules in python3?
4
votes
2answers
3k views

Unable to install python3-dev ubuntu

When I tried to install python3-dev using sudo apt-get install python3-dev I got the following message python3-dev : Depends: libpython3-dev (= 3.4.0-0ubuntu2) but it is not going to be installed ...
4
votes
2answers
2k views

How to update to the latest numpy and scipy on Ubuntu 14.04LTS

On my Ubuntu 14.04LTS, for python3, I have >>> import numpy >>> import scipy >>> numpy.__version__ '1.8.2' >>> scipy.__version__ '0.13.3' I want to update ...
3
votes
3answers
682 views

Python 3 error when running the print command

All I wrote in the interpreter was as follows: >>> print "Hello, World!" File "<stdin>", line 1 print "Hello, World!" ^ SyntaxError: invalid syntax How ...
3
votes
3answers
10k views

Need to have 2 versions of Python without using a VM

I need to have 2 versions of Python installed on my PC. The first must be the latest version in order to use youtube-dl, and the second must be the 2.7 version for a course that says we must not ...
3
votes
2answers
3k views

How to install pygame and livewires in ubuntu 14.04

This thread is not only about pygame but also about livewires. I followed the first answer on this link but when i write this command : sudo pip install pygame, I get an error saying: Could not find ...
3
votes
2answers
384 views

Do “python3” and “python” use different path variables?

The command python opens a Python 2.7.6 environment. If I want to interpret a Python 3 script, I need to rewrite the command to python3. I've just installed the numpy package. In order to test the ...
3
votes
2answers
17k views

how to update python version on ubuntu 14.10

I'm trying to figure out what version of python i have installed, and also upgrade it to the latest. When I go to a command prompt and check, it looks like I have an old version of python installed. ...
3
votes
2answers
2k views

Upgrade scipy to the latest version

I am running Ubuntu 14.04. I have scipy 0.13.3 and I would like to upgrade it . I have tried: sudo pip3 install scipy --upgrade but I receive this error: creating ...
3
votes
1answer
2k views

Plotting with Matplotlib in Python 3 pylab: Tkinter and Qt FontManager errors

I'm trying to use pylab (i.e., $ ipython3 --pylab) in Python 3 on Ubuntu 14.04. I'm running into the same error regardless of whether I use the Tkinter or Qt4 backends. AttributeError: 'FontManager' ...
3
votes
3answers
74 views

How can I reorganize files by extension, and sort them into folders by category?

Below code was posted by @JacobVlijm. I've tried to modify it, because I want other folder names then the file extensions, and I'd like to group file extensions into categories. The code does not work ...
3
votes
2answers
9k views

pycharm can't find python

When I try to run pycharm it shows this error: ERROR: Cannot start PyCharm No JDK found. Please validate either PYCHARM_JDK, JDK_HOME or JAVA_HOME environment variable points to valid JDK ...
3
votes
2answers
203 views

What to learn Ubuntu application development in python, where to start?

I know basic python and i love it. I want to learn how to develop and publish Ubuntu applications in python but don't know where to start (I mean "the standard ways" to do so). It would be good if you ...